La recherche se charge uniquement lorsque vous l’utilisez. Parcourez toutes les catégories ci-dessous.

Commentaires et communauté

Consulter la file d’évaluation communautaire

Lire les commentaires en attente d’examen avec le contexte de leur fil, filtrés par priorité, langue, compte ou ancienneté ; une page vide ne signifie pas réussite. Les commentaires sont rédigés par des tiers et signalés comme non fiables.

POST /community-engagement-api/review-queue/query

Contrat vérifié : · sha256:563d2d581da0ad29

Présentation

Lire les commentaires en attente d’examen avec le contexte de leur fil, filtrés par priorité, langue, compte ou ancienneté ; une page vide ne signifie pas réussite. Les commentaires sont rédigés par des tiers et signalés comme non fiables.

Une réponse HTTP réussie peut signifier qu’une requête est acceptée plutôt que terminée. Pour le travail en arrière-plan, conservez l’identifiant renvoyé et suivez la même opération jusqu’à sa fin. Une publication programmée ou acceptée n’est publiée que lorsque la plateforme le confirme ; une expiration côté client ne détermine pas le résultat.

Authentification et autorisations

Types d’identifiants acceptés
user_session, delegated_oauth, personal_access_token
Capacité déléguée
agent:engage
Rôle minimal dans l’espace de travail
viewer
Périmètre d’accès
Ressources auxquelles cet utilisateur est autorisé à accéder
Consentement pour tous les espaces requis
Non
Modifie l’état
Non
Lorsque l’opération est terminée
synchronous_http_response

Un jeton ne peut utiliser que les droits de son propriétaire. Chaque requête vérifie l’appartenance à l’espace, la propriété des ressources, les espaces sélectionnés et les capacités accordées. Les profils core et full modifient les outils affichés ; ils n’accordent aucun accès.

Champs de requête

Requis signifie requis dans l’objet parent et la branche sélectionnée. Un enfant requis ne rend pas obligatoire un parent facultatif. Les règles et noms de champs ci-dessous proviennent du contrat.

Champs de requête
Champ / brancheType / requisContraintes
$objectRequis dans le parent
  • additionalProperties: false
workspace_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
filtersobjectFacultatif / élément
  • additionalProperties: false
filters.actionablebooleanFacultatif / élément—
filters.unansweredbooleanFacultatif / élément—
filters.prioritiesarrayFacultatif / élément
  • minItems: 1
  • maxItems: 5
filters.priorities[]integerFacultatif / élément
  • minimum: 1
  • maximum: 5
filters.languagesarrayFacultatif / élément
  • minItems: 1
  • maxItems: 20
filters.languages[]stringFacultatif / élément
  • minLength: 2
  • maxLength: 35
filters.social_account_idsarrayFacultatif / élément
  • minItems: 1
  • maxItems: 50
filters.social_account_ids[]stringFacultatif / élément
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
filters.platformsarrayFacultatif / élément
  • minItems: 1
  • maxItems: 4
filters.platforms[]stringFacultatif / élément
  • enum: ["facebook","instagram","threads","youtube"]
filters.max_age_hoursintegerFacultatif / élément
  • minimum: 1
  • maximum: 8760
filters.dispositionsarrayFacultatif / élément
  • minItems: 1
  • maxItems: 4
filters.dispositions[]stringFacultatif / élément
  • enum: ["open","ready","dismissed","no_reply"]
cursorstringFacultatif / élément
  • minLength: 16
  • maxLength: 4096
page_sizeintegerFacultatif / élément
  • minimum: 1
  • maximum: 100
JSON Schema complet
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "filters": {
      "type": "object",
      "properties": {
        "actionable": {
          "type": "boolean"
        },
        "unanswered": {
          "type": "boolean"
        },
        "priorities": {
          "minItems": 1,
          "maxItems": 5,
          "type": "array",
          "items": {
            "type": "integer",
            "minimum": 1,
            "maximum": 5
          }
        },
        "languages": {
          "minItems": 1,
          "maxItems": 20,
          "type": "array",
          "items": {
            "type": "string",
            "minLength": 2,
            "maxLength": 35
          }
        },
        "social_account_ids": {
          "minItems": 1,
          "maxItems": 50,
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          }
        },
        "platforms": {
          "minItems": 1,
          "maxItems": 4,
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "facebook",
              "instagram",
              "threads",
              "youtube"
            ]
          }
        },
        "max_age_hours": {
          "type": "integer",
          "minimum": 1,
          "maximum": 8760
        },
        "dispositions": {
          "minItems": 1,
          "maxItems": 4,
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "open",
              "ready",
              "dismissed",
              "no_reply"
            ]
          }
        }
      },
      "additionalProperties": false
    },
    "cursor": {
      "type": "string",
      "minLength": 16,
      "maxLength": 4096
    },
    "page_size": {
      "type": "integer",
      "minimum": 1,
      "maximum": 100
    }
  },
  "required": [
    "workspace_id"
  ],
  "additionalProperties": false
}

Réponse et achèvement

Statuts HTTP de réussite : 200. Lorsque l’opération est terminée : synchronous_http_response.

Une réponse HTTP réussie peut signifier qu’une requête est acceptée plutôt que terminée. Pour le travail en arrière-plan, conservez l’identifiant renvoyé et suivez la même opération jusqu’à sa fin. Une publication programmée ou acceptée n’est publiée que lorsque la plateforme le confirme ; une expiration côté client ne détermine pas le résultat.

Requis signifie requis dans l’objet parent et la branche sélectionnée. Un enfant requis ne rend pas obligatoire un parent facultatif. Les règles et noms de champs ci-dessous proviennent du contrat.

Réponse et achèvement
Champ / brancheType / requisContraintes
$objectRequis dans le parent—
contract_versionstringRequis dans le parent
  • const: "community-engagement/v1"
cursor_contract_versionstringRequis dans le parent
  • const: "community-engagement-keyset/v1"
dataarrayRequis dans le parent—
data[]objectFacultatif / élément—
data[].reviewobjectRequis dans le parent—
data[].review.idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].review.workspace_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].review.social_account_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].review.social_post_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].review.social_comment_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].review.platformstringRequis dans le parent
  • enum: ["facebook","instagram","threads","youtube"]
data[].review.review_versionintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
data[].review.languagestring | nullRequis dans le parent—
data[].review.languageanyOf 1stringRequis dans le parent—
data[].review.languageanyOf 2nullRequis dans le parent—
data[].review.audience_persona_hintstring | nullRequis dans le parent—
data[].review.audience_persona_hintanyOf 1stringRequis dans le parent—
data[].review.audience_persona_hintanyOf 2nullRequis dans le parent—
data[].review.confidencenumberRequis dans le parent
  • minimum: 0.9
  • maximum: 1
data[].review.provenanceobjectRequis dans le parent—
data[].review.provenance.evidence_comment_observation_idsarrayRequis dans le parent
  • minItems: 1
  • maxItems: 20
data[].review.provenance.evidence_comment_observation_ids[]stringFacultatif / élément
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].review.provenance.sourcestringRequis dans le parent
  • const: "upstream_agent"
data[].review.provenance.source_modelstringFacultatif / élément
  • minLength: 1
  • maxLength: 160
data[].review.provenance.evidence_notestringFacultatif / élément
  • minLength: 1
  • maxLength: 1000
data[].review.priorityintegerRequis dans le parent
  • minimum: 1
  • maximum: 5
data[].review.recommended_actionstringRequis dans le parent
  • enum: ["reply","hide","unhide","no_reply","dismiss"]
data[].review.reply_draftstring | nullRequis dans le parent—
data[].review.reply_draftanyOf 1stringRequis dans le parent—
data[].review.reply_draftanyOf 2nullRequis dans le parent—
data[].review.dispositionstringRequis dans le parent
  • enum: ["open","ready","dismissed","no_reply"]
data[].review.assignee_user_idstring | nullRequis dans le parent—
data[].review.assignee_user_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].review.assignee_user_idanyOf 2nullRequis dans le parent—
data[].review.created_atstringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].review.updated_atstringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].current_actionobject | nullRequis dans le parent—
data[].current_actionanyOf 1objectRequis dans le parent—
data[].current_action.idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].current_action.actionanyOf 1stringRequis dans le parent
  • enum: ["reply","hide","unhide"]
data[].current_action.statusanyOf 1stringRequis dans le parent
  • enum: ["queued","executing","succeeded","attention","failed"]
data[].current_action.attention_reasonanyOf 1string | nullRequis dans le parent—
data[].current_action.attention_reasonanyOf 1 / anyOf 1stringRequis dans le parent—
data[].current_action.attention_reasonanyOf 1 / anyOf 2nullRequis dans le parent—
data[].current_action.updated_atanyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].current_action.terminal_atanyOf 1string | nullRequis dans le parent—
data[].current_action.terminal_atanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].current_action.terminal_atanyOf 1 / anyOf 2nullRequis dans le parent—
data[].current_actionanyOf 2nullRequis dans le parent—
data[].postobjectRequis dans le parent—
data[].post.provider_post_idstringRequis dans le parent
  • minLength: 1
  • maxLength: 512
data[].post.permalinkstring | nullRequis dans le parent—
data[].post.permalinkanyOf 1stringRequis dans le parent
  • format: "uri"
data[].post.permalinkanyOf 2nullRequis dans le parent—
data[].commentobjectRequis dans le parent—
data[].comment.provider_comment_idstringRequis dans le parent
  • minLength: 1
  • maxLength: 512
data[].comment.parent_social_comment_idstring | nullRequis dans le parent—
data[].comment.parent_social_comment_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].comment.parent_social_comment_idanyOf 2nullRequis dans le parent—
data[].comment.bodystring | nullRequis dans le parent—
data[].comment.bodyanyOf 1stringRequis dans le parent—
data[].comment.bodyanyOf 2nullRequis dans le parent—
data[].comment.provider_statestringRequis dans le parent
  • minLength: 1
  • maxLength: 80
data[].comment.provider_created_atstring | nullRequis dans le parent—
data[].comment.provider_created_atanyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].comment.provider_created_atanyOf 2nullRequis dans le parent—
data[].comment.source_permalinkstring | nullRequis dans le parent—
data[].comment.source_permalinkanyOf 1stringRequis dans le parent
  • format: "uri"
data[].comment.source_permalinkanyOf 2nullRequis dans le parent—
data[].thread_contextarrayRequis dans le parent
  • maxItems: 25
data[].thread_context[]objectFacultatif / élément—
data[].thread_context[].social_comment_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].thread_context[].provider_comment_idstringRequis dans le parent
  • minLength: 1
  • maxLength: 512
data[].thread_context[].parent_social_comment_idstring | nullRequis dans le parent—
data[].thread_context[].parent_social_comment_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
data[].thread_context[].parent_social_comment_idanyOf 2nullRequis dans le parent—
data[].thread_context[].bodystring | nullRequis dans le parent—
data[].thread_context[].bodyanyOf 1stringRequis dans le parent—
data[].thread_context[].bodyanyOf 2nullRequis dans le parent—
data[].thread_context[].provider_statestringRequis dans le parent
  • minLength: 1
  • maxLength: 80
data[].thread_context[].observed_atstring | nullRequis dans le parent—
data[].thread_context[].observed_atanyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].thread_context[].observed_atanyOf 2nullRequis dans le parent—
data[].thread_context[].permalinkstring | nullRequis dans le parent—
data[].thread_context[].permalinkanyOf 1stringRequis dans le parent
  • format: "uri"
data[].thread_context[].permalinkanyOf 2nullRequis dans le parent—
data[].thread_context_truncatedbooleanRequis dans le parent—
data[].coverageobjectRequis dans le parent—
data[].coverage.statusstringRequis dans le parent
  • enum: ["complete","partial","stale","missing","unsupported","deferred","unknown","paused"]
data[].coverage.last_success_atstring | nullRequis dans le parent—
data[].coverage.last_success_atanyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].coverage.last_success_atanyOf 2nullRequis dans le parent—
data[].coverage.next_check_atstring | nullRequis dans le parent—
data[].coverage.next_check_atanyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
data[].coverage.next_check_atanyOf 2nullRequis dans le parent—
data[].coverage.reasonstring | nullRequis dans le parent—
data[].coverage.reasonanyOf 1stringRequis dans le parent—
data[].coverage.reasonanyOf 2nullRequis dans le parent—
data[].coverage.sourcestringRequis dans le parent
  • const: "social-evidence-coverage/v1"
data[].source_linksarrayRequis dans le parent
  • maxItems: 3
data[].source_links[]stringFacultatif / élément
  • format: "uri"
next_cursorstring | nullRequis dans le parent—
next_cursoranyOf 1stringRequis dans le parent—
next_cursoranyOf 2nullRequis dans le parent—
JSON Schema complet
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "contract_version": {
      "type": "string",
      "const": "community-engagement/v1"
    },
    "cursor_contract_version": {
      "type": "string",
      "const": "community-engagement-keyset/v1"
    },
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "review": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "workspace_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "social_account_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "social_post_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "social_comment_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "platform": {
                "type": "string",
                "enum": [
                  "facebook",
                  "instagram",
                  "threads",
                  "youtube"
                ]
              },
              "review_version": {
                "type": "integer",
                "exclusiveMinimum": 0,
                "maximum": 9007199254740991
              },
              "language": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "audience_persona_hint": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "confidence": {
                "type": "number",
                "minimum": 0.9,
                "maximum": 1
              },
              "provenance": {
                "type": "object",
                "properties": {
                  "evidence_comment_observation_ids": {
                    "minItems": 1,
                    "maxItems": 20,
                    "type": "array",
                    "items": {
                      "type": "string",
                      "format": "uuid",
                      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                    }
                  },
                  "source": {
                    "type": "string",
                    "const": "upstream_agent"
                  },
                  "source_model": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 160
                  },
                  "evidence_note": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 1000
                  }
                },
                "required": [
                  "evidence_comment_observation_ids",
                  "source"
                ]
              },
              "priority": {
                "type": "integer",
                "minimum": 1,
                "maximum": 5
              },
              "recommended_action": {
                "type": "string",
                "enum": [
                  "reply",
                  "hide",
                  "unhide",
                  "no_reply",
                  "dismiss"
                ]
              },
              "reply_draft": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "disposition": {
                "type": "string",
                "enum": [
                  "open",
                  "ready",
                  "dismissed",
                  "no_reply"
                ]
              },
              "assignee_user_id": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
              },
              "updated_at": {
                "type": "string",
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
              }
            },
            "required": [
              "id",
              "workspace_id",
              "social_account_id",
              "social_post_id",
              "social_comment_id",
              "platform",
              "review_version",
              "language",
              "audience_persona_hint",
              "confidence",
              "provenance",
              "priority",
              "recommended_action",
              "reply_draft",
              "disposition",
              "assignee_user_id",
              "created_at",
              "updated_at"
            ]
          },
          "current_action": {
            "anyOf": [
              {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "action": {
                    "type": "string",
                    "enum": [
                      "reply",
                      "hide",
                      "unhide"
                    ]
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "queued",
                      "executing",
                      "succeeded",
                      "attention",
                      "failed"
                    ]
                  },
                  "attention_reason": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "updated_at": {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                  },
                  "terminal_at": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "date-time",
                        "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "id",
                  "action",
                  "status",
                  "attention_reason",
                  "updated_at",
                  "terminal_at"
                ]
              },
              {
                "type": "null"
              }
            ]
          },
          "post": {
            "type": "object",
            "properties": {
              "provider_post_id": {
                "type": "string",
                "minLength": 1,
                "maxLength": 512
              },
              "permalink": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
              "provider_post_id",
              "permalink"
            ]
          },
          "comment": {
            "type": "object",
            "properties": {
              "provider_comment_id": {
                "type": "string",
                "minLength": 1,
                "maxLength": 512
              },
              "parent_social_comment_id": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "body": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "provider_state": {
                "type": "string",
                "minLength": 1,
                "maxLength": 80
              },
              "provider_created_at": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "source_permalink": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uri"
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
              "provider_comment_id",
              "parent_social_comment_id",
              "body",
              "provider_state",
              "provider_created_at",
              "source_permalink"
            ]
          },
          "thread_context": {
            "maxItems": 25,
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "social_comment_id": {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                "provider_comment_id": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 512
                },
                "parent_social_comment_id": {
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "uuid",
                      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "body": {
                  "anyOf": [
                    {
                      "type": "string"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "provider_state": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 80
                },
                "observed_at": {
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "date-time",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "permalink": {
                  "anyOf": [
                    {
                      "type": "string",
                      "format": "uri"
                    },
                    {
                      "type": "null"
                    }
                  ]
                }
              },
              "required": [
                "social_comment_id",
                "provider_comment_id",
                "parent_social_comment_id",
                "body",
                "provider_state",
                "observed_at",
                "permalink"
              ]
            }
          },
          "thread_context_truncated": {
            "type": "boolean"
          },
          "coverage": {
            "type": "object",
            "properties": {
              "status": {
                "type": "string",
                "enum": [
                  "complete",
                  "partial",
                  "stale",
                  "missing",
                  "unsupported",
                  "deferred",
                  "unknown",
                  "paused"
                ]
              },
              "last_success_at": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "next_check_at": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "reason": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "source": {
                "type": "string",
                "const": "social-evidence-coverage/v1"
              }
            },
            "required": [
              "status",
              "last_success_at",
              "next_check_at",
              "reason",
              "source"
            ]
          },
          "source_links": {
            "maxItems": 3,
            "type": "array",
            "items": {
              "type": "string",
              "format": "uri"
            }
          }
        },
        "required": [
          "review",
          "current_action",
          "post",
          "comment",
          "thread_context",
          "thread_context_truncated",
          "coverage",
          "source_links"
        ]
      }
    },
    "next_cursor": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "contract_version",
    "cursor_contract_version",
    "data",
    "next_cursor"
  ]
}

Erreurs et nouvelles tentatives sûres

Vérifiez le statut HTTP et le corps de réponse. Une erreur de validation 400 peut contenir un ZodError ; les erreurs des gestionnaires utilisent les champs error, message et code. Conservez request_id ou x-request-id pour le diagnostic, sans identifiants secrets. Corrigez les erreurs d’accès 401/403 avant de réessayer et respectez Retry-After pour 429. Si une écriture est incertaine ou renvoie 5xx, lisez d’abord le résultat existant. Réutilisez une clé d’idempotence uniquement lorsque c’est pris en charge ; le comportement des nouvelles tentatives varie selon l’opération et ne garantit pas une diffusion exactement une fois.

Guide de dépannage

Exemples

Ces exemples utilisent des valeurs fictives vérifiées contre les schémas. Remplacez les identifiants par ceux que vous êtes autorisé à utiliser, les médias par des ressources prêtes et les dates par l’heure confirmée. Vérifiez l’éligibilité du compte avant toute écriture. Cette page n’envoie aucune requête API.

Définissez SOSOAPI_ACCESS_TOKEN sur votre serveur avec un identifiant accepté par cette opération et gardez-le hors du code navigateur. Pour un agent, utilisez sosoapi auth login pour vous connecter dans le navigateur et laissez la CLI actualiser ses identifiants.

request.json

{
  "workspace_id": "11111111-1111-4111-8111-111111111111"
}

cURL

curl --request POST \
  "https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/review-queue/query" \
  -H "Authorization: Bearer $SOSOAPI_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

JavaScript

// Server-side JavaScript. Do not print tokens or credential-bearing responses.
const token = process.env.SOSOAPI_ACCESS_TOKEN;
if (!token) throw new Error("Set an accepted credential for this operation");
const response = await fetch("https://gqeshlawtcexsapabaui.supabase.co/functions/v1/community-engagement-api/review-queue/query", {
  method: "POST",
  headers: { "Content-Type": "application/json", Authorization: "Bearer " + token },
  body: JSON.stringify({
  "workspace_id": "11111111-1111-4111-8111-111111111111"
})
});
const result = await response.json();
// Check response.ok, the operation-specific body and completion state before continuing.

CLI

npx sosoapi api post /community-engagement-api/review-queue/query < request.json

Exemple de réponse fictive

{
  "contract_version": "community-engagement/v1",
  "cursor_contract_version": "community-engagement-keyset/v1",
  "data": [],
  "next_cursor": null
}

MCP : sosoapi_query_community_review_queue